## mod 0.1.3

=== DESCRIPTION ===
Package: mod
Type: Package
Title: Lightweight and Self-Contained Modules for Code Organization
Version: 0.1.3
Authors@R: c(
  person("Siqi", "Zhang", email = "iqis.gnahz@gmail.com", role = c("aut", "cre")),
  person()
  )
Description: Creates modules inline or from a file. Modules can contain any R object and be nested. Each module have their own scope and package "search path" that does not interfere with one another or the user's working environment.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
URL: https://github.com/iqis/mod
BugReports: https://github.com/iqis/mod/issues
Suggests: testthat (>= 2.1.0), covr
NeedsCompilation: no
Packaged: 2019-08-22 02:33:34 UTC; Siqi
Author: Siqi Zhang [aut, cre]
Maintainer: Siqi Zhang <iqis.gnahz@gmail.com>
Repository: CRAN
Date/Publication: 2019-08-23 10:40:02 UTC

## mod bandwidth

=== Makefile ===
# $OpenBSD$

COMMENT=	"bandwidth limiter for Apache"

DISTFILES=	mod_bandwidth.c cleanlink.pl
PKGNAME=	mod_bandwidth-2.0.6
CATEGORIES=     www
MASTER_SITES=	ftp://ftp.cohprog.com/pub/apache/module/

HOMEPAGE=	http://www.cohprog.com/mod_bandwidth.html

MAINTAINER=	Antoine Jacoutot <ajacoutot@lphp.org>

# Apache Group licence
PERMIT_PACKAGE_CDROM=   Yes
PERMIT_PACKAGE_FTP=     Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP=   Yes

SUBST_VARS=	PKGNAME HOMEPAGE
DIST_SUBDIR=	${PKGNAME}
NO_REGRESS=	Yes

do-extract:
.for i in ${DISTFILES}
	cp ${DISTDIR}/${DIST_SUBDIR}/${i} ${WRKSRC}
.endfor

do-build:
	cd ${WRKSRC} && /usr/sbin/apxs -Wc,"${CFLAGS}" -c mod_bandwidth.c \
		-o ${WRKBUILD}/mod_bandwidth.so
	sed 's,!!PREFIX!!,${PREFIX},' \
		< ${FILESDIR}/mod_bandwidth-enable > ${WRKBUILD}/mod_bandwidth-enable
	perl -pi -e "s,\/usr\/local\/bin\/perl,\/usr\/bin\/perl,g" ${WRKSRC}/cleanlink.pl
	perl -pi -e "s,\/tmp\/apachebw,\/var\/www\/tmp\/apachebw,g" ${WRKSRC}/cleanlink.pl

do-install:
	${INSTALL_DATA_DIR} ${PREFIX}/share/doc/mod_bandwidth
	${INSTALL_DATA} ${WRKBUILD}/mod_bandwidth.so ${PREFIX}/lib
	${INSTALL_SCRIPT} ${WRKBUILD}/mod_bandwidth-enable ${PREFIX}/sbin
	${INSTALL_SCRIPT} ${WRKBUILD}/cleanlink.pl ${PREFIX}/sbin
	@head -373 ${WRKSRC}/mod_bandwidth.c \
		> ${PREFIX}/share/doc/mod_bandwidth/README.mod_bandwidth

.include <bsd.port.mk>

## mod bbs-0.3beta

=== Makefile ===
##
##  Makefile -- Build procedure for sample bbs Apache module
##  Autogenerated via ``apxs -n bbs -g''.
##

#   the used tools
APXS=/usr/local/apache/bin/apxs
APACHECTL=/usr/local/apache/bin/apachectl

#   additional user defines, includes and libraries
#DEF=-Dmy_define=my_value
#INC=-Imy/include/dir
#LIB=-Lmy/lib/dir -lmylib



#   the default target
all: mod_bbs.so

#   compile the DSO file
mod_bbs.so: mod_bbs.c
	$(APXS) -c $(DEF) $(INC) $(LIB) mod_bbs.c

#   install the DSO file into the Apache installation
#   and activate it in the Apache configuration
install: all
	$(APXS) -i -a -n 'bbs' mod_bbs.so

#   cleanup
clean:
	-rm -f mod_bbs.o mod_bbs.so

#   simple test
test: reload
	lynx -mime_header http://localhost/bbs

#   reload the module by installing and restarting Apache
reload: install restart

#   the general Apache start/restart/stop procedures
start:
	$(APACHECTL) start
restart:
	$(APACHECTL) stop
	$(APACHECTL) start
stop:
	$(APACHECTL) stop

## mod caml-1.1.5

=== Makefile ===
# mod_caml
# Copyright (C) 2003-2004 Merjis Ltd.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.44 2004/03/13 13:58:27 rwmj Exp $

include Makefile.config

SED := sed

OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)

CC	:= $(OCAMLC)
CFLAGS	:= -I $(APACHEINCDIR) -ccopt -DEAPI

OCAMLCINCS := -I $(PCRELIBDIR) -I $(DBILIBDIR) -I $(APACHEINCDIR)
ALL_CMOS := apache.cmo mod_caml_config.cmo mod_caml.cmo cgi_escape.cmo \
	template.cmo cgi.cmo

ifeq ($(HAVE_CAMLTEMPLATE),1)
CAMLTEMPLATE_DIR := $(shell ocamlfind query camltemplate)
OCAMLCINCS += -I $(CAMLTEMPLATE_DIR)
ALL_CMOS += $(CAMLTEMPLATE_DIR)/camlTemplateInit.cmo
ALL_CMAS += camltemplate.cma
endif

ifeq ($(HAVE_POSTGRES),1)
OCAMLCINCS += -I $(shell ocamlfind query postgres)
OCAMLLIBS += -L$(shell ocamlfind query postgres) -lmlpostgres -lpq
ALL_CMAS += postgres.cma
endif

ifeq ($(HAVE_MYSQL),1)
OCAMLCINCS += -I $(shell ocamlfind query mysql)
OCAMLLIBS += $(shell ocamlfind query mysql)/mysql.a \
	-L$(shell ocamlfind query mysql) -lmysql_stubs -lmysqlclient
ALL_CMAS += mysql.cma
endif

ifeq ($(HAVE_PERL4CAML),1)
# XXX Hack required by ocamlc.
# To work out what this should be, try:
# `shell perl -MExtUtils::Embed -e ldopts'
DYNALOADER_HACK := /usr/lib/perl/5.8.2/auto/DynaLoader/DynaLoader.a

OCAMLCINCS += -I $(shell ocamlfind query perl)
OCAMLLIBS += $(shell ocamlfind query perl)/libperl4caml.a $(DYNALOADER_HACK)
ALL_CMAS += perl4caml.cma
endif

OCAMLCFLAGS := -g -w s $(OCAMLCINCS)
OCAMLLIBS += -lcamlrun -ltermcap -lunix -lstr 
ALL_CMAS += dynlink.cma str.cma pcre.cma unix.cma dbi.cma

all: META config.h mod_caml_config.ml mod_caml.so \
     example-handlers example-scripts example-comments html

META:	META.in Makefile.config
	$(SED)  -e 's/@PACKAGE@/$(PACKAGE)/' \
		-e 's/@VERSION@/$(VERSION)/' \
		< $< > $@

config.h: config.h.in Makefile.config
	sed -e 's,@APACHELIBDIR@,$(APACHELIBDIR),g' \
	-e 's,@PACKAGE@,$(PACKAGE),g' \
	-e 's,@VERSION@,$(VERSION),g' \
	-e 's,@APACHE_MAJOR@,$(APACHE_MAJOR),g' \
	< $< > $@

mod_caml_config.ml: mod_caml_config.ml.in Makefile.config
	sed -e 's,@APACHELIBDIR@,$(APACHELIBDIR),g' \
	-e 's,@OCAMLLIBDIR@,$(OCAMLLIBDIR),g' \
	-e 's,@OCAMLAPACHEDIR@,$(OCAMLAPACHEDIR),g' \
	-e 's,@PACKAGE@,$(PACKAGE),g' \
	-e 's,@VERSION@,$(VERSION),g' \
	-e 's,@APACHE_MAJOR@,$(APACHE_MAJOR),g' \
	< $< > $@

mod_caml.so: mod_caml_c.o mod_caml.cmo apache_c.o wrappers.o $(ALL_CMOS)
	$(OCAMLC) -linkall -custom $(OCAMLCFLAGS) $(ALL_CMAS) $^ -o $@ \
	  -cclib "-fPIC -shared $(OCAMLLIBS)"

example-handlers: registry.cmo examples/simple-handlers/print_trans.cmo \
	examples/simple-handlers/auth_simple.cmo

example-scripts: examples/simple-scripts/hello.cmo \
	examples/simple-scripts/params.cmo \
	examples/simple-scripts/conditions.cmo \
	examples/simple-scripts/cookies.cmo \
	examples/simple-scripts/mail.cmo \
	examples/simple-scripts/upload_image.cmo \
	examples/useful-scripts/crumbs.cmo \
	examples/useful-scripts/maillist.cmo

ifeq ($(HAVE_POSTGRES),1)
example-comments: examples/comments/comments.cmo \
	examples/comments/comments_login_form.cmo \
	examples/comments/comments_login.cmo \
	examples/comments/delete_comment.cmo \
	examples/comments/post_comment.cmo \
	examples/comments/post_comment_form.cmo \
	examples/comments/show_comments.cmo \
	examples/comments/view_comments.cmo

examples/comments/comments_login_form.cmo: \
		examples/comments/comments_login_form.ml
	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
examples/comments/comments_login.cmo: examples/comments/comments_login.ml
	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
examples/comments/delete_comment.cmo: examples/comments/delete_comment.ml
	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
examples/comments/post_comment.cmo: examples/comments/post_comment.ml
	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
examples/comments/post_comment_form.cmo: examples/comments/post_comment_form.ml
	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
examples/comments/show_comments.cmo: examples/comments/show_comments.ml
	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
examples/comments/view_comments.cmo: examples/comments/view_comments.ml
	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
else
example-comments:
endif

%.cmi: %.mli
	$(OCAMLC) $(OCAMLCFLAGS) -c $<

%.cmo: %.ml
	$(OCAMLC) $(OCAMLCFLAGS) -c $<

dep:	.depend
depend: .depend

.depend:
	rm -f .depend
	ocamldep *.mli *.ml */*/*.ml > $@

ifeq ($(wildcard .depend),.depend)
include .depend
endif

# Documentation.

html:	html/index.html

html/index.html: $(wildcard *.ml) $(wildcard *.mli)
	rm -rf html
	mkdir html
	-$(OCAMLDOC) $(OCAMLDOCFLAGS) -d html $^

clean:
	rm -f *~ *.bak core *.o *.lo *.slo
	rm -f *.cmi *.cmo *.cmx *.cma *.so *.a
	rm -f examples/*~
	rm -f examples/simple-scripts/{*~,*.cmi,*.cmo,*.cmx}
	rm -f examples/useful-scripts/{*~,*.cmi,*.cmo,*.cmx}
	rm -f examples/simple-handlers/{*~,*.cmi,*.cmo,*.cmx}
	rm -f examples/comments/{*~,*.cmi,*.cmo,*.cmx}
	rm -f mod_caml_config.ml config.h META
	rm -rf .libs

install: install-main \
	install-icons \
	install-examples-simple install-examples-useful \
	install-examples-comments \
	install-doc install-html

install-main:
	install -c -m 0755 -d $(DESTDIR)$(APACHELIBDIR)
	install -c -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
	install -c -m 0755 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
	install -c -m 0644 mod_caml_config.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
	install -c -m 0644 apache.mli apache.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
	install -c -m 0644 mod_caml.mli mod_caml.cmi \
	$(DESTDIR)$(OCAMLAPACHEDIR)
	install -c -m 0644 cgi.mli cgi.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
	install -c -m 0644 cgi_escape.cmo cgi_escape.mli cgi_escape.cmi \
	$(DESTDIR)$(OCAMLAPACHEDIR)
	install -c -m 0644 template.cmo template.mli template.cmi \
	$(DESTDIR)$(OCAMLAPACHEDIR)
	install -c -m 0644 registry.mli registry.cmi \
	$(DESTDIR)$(OCAMLAPACHEDIR)
	install -c -m 0644 META $(DESTDIR)$(OCAMLAPACHEDIR)
	install -c -m 0644 registry.cmo $(DESTDIR)$(MODCAMLLIBDIR)

install-icons:
	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
	install -c -m 0644 icons/*.png $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons

install-examples-simple:
	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
	install -c -m 0644 examples/simple-scripts/*.cmo \
		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
	install -c -m 0644 examples/simple-handlers/*.cmo \
	$(DESTDIR)$(MODCAMLLIBDIR)

install-examples-useful:
	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
	install -c -m 0644 examples/useful-scripts/*.cmo \
		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
	install -c -m 0644 examples/useful-scripts/maillist.html \
		$(DESTDIR)$(MODCAMLLIBDIR)/templates
	install -c -m 0644 examples/useful-scripts/maillist-body.txt \
		$(DESTDIR)$(MODCAMLLIBDIR)/templates

ifeq ($(HAVE_POSTGRES),1)
install-examples-comments:
	install -c -m 0644 examples/comments/*.cmo \
		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
	install -c -m 0644 examples/comments/comments.cmo \
		$(DESTDIR)$(MODCAMLLIBDIR)
	install -c -m 0644 examples/comments/comments.cmi \
		$(DESTDIR)$(MODCAMLLIBDIR)
	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
	install -c -m 0644 examples/comments/*.html \
		$(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
else
install-examples-comments:
endif

install-doc:
	install -c -m 0755 -d $(DESTDIR)$(DOCDIR)
	install -c -m 0644 AUTHORS FAQ README TODO $(DESTDIR)$(DOCDIR)

install-html:
	install -c -m 0755 -d $(DESTDIR)$(DOCDIR)/html
	install -c -m 0644 html/*.html $(DESTDIR)$(DOCDIR)/html

dist:
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	tar -cf - -T MANIFEST | tar -C $(PACKAGE)-$(VERSION) -xf -
	tar zcf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)
	ls -l $(PACKAGE)-$(VERSION).tar.gz

#upload:
#	rm -rf /tmp/sv_upload
#	mkdir -p /tmp/sv_upload/unstable.pkg/$(VERSION)
#	cp $(PACKAGE)-$(VERSION).tar.gz /tmp/sv_upload/unstable.pkg/$(VERSION)
#	scp -2r /tmp/sv_upload/* rwmj@subversions.gnu.org:/upload/modcaml/
#	rm -rf /tmp/sv_upload

upload:
	gpg -b $(PACKAGE)-$(VERSION).tar.gz

check-manifest:
	@for d in `find -type d -name CVS`; \
	do \
	b=`dirname $$d`/; \
	awk -F/ '$$1 != "D" {print $$2}' $$d/Entries | \
	sed -e "s|^|$$b|" -e "s|^\./||"; \
	done | sort > .check-manifest; \
	sort MANIFEST > .orig-manifest; \
	diff -u .orig-manifest .check-manifest; \
	rm -f .orig-manifest .check-manifest

# Build Debian package.
# NB. Debian source packages cannot contain '_', so we have to pretend this
# module is called modcaml instead of mod_caml.
dpkg:
	@if [ 0 != `cvs -q update | wc -l` ]; then \
	echo Please commit all changes to CVS first.; \
	exit 1; \
	fi
	$(MAKE) dist
	rm -rf /tmp/dbuild
	mkdir /tmp/dbuild
	cp $(PACKAGE)-$(VERSION).tar.gz \
	  /tmp/dbuild/modcaml_$(VERSION).orig.tar.gz
	export CVSROOT=`cat CVS/Root`; \
	  cd /tmp/dbuild && \
	  cvs export \
	  -d modcaml-$(VERSION) \
	  -D now modcaml
	cd /tmp/dbuild/modcaml-$(VERSION) && dpkg-buildpackage -rfakeroot
	rm -rf /tmp/dbuild/modcaml-$(VERSION)
	ls -l /tmp/dbuild

.PHONY: example-handlers example-scripts example-comments \
	install-main install-examples-simple install-examples-useful \
	install-examples-comments \
	dep depend dist upload check-manifest html
.SUFFIXES: .ml .mli .cmi .cmo

## mod caml-1.1.6

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.44 2004/03/13 13:58:27 rwmj Exp $
+# $Id: Makefile,v 1.45 2004/03/18 13:24:52 rwmj Exp $
 
 include Makefile.config
 
@@ -257,7 +257,10 @@
 #	rm -rf /tmp/sv_upload
 
 upload:
+	rm -f $(PACKAGE)-$(VERSION).tar.gz.sig
 	gpg -b $(PACKAGE)-$(VERSION).tar.gz
+	ftp-upload -v -h savannah.gnu.org --dir /incoming/savannah/modcaml \
+	  $(PACKAGE)-$(VERSION).tar.gz{,.sig}
 
 check-manifest:
 	@for d in `find -type d -name CVS`; \

## mod caml-1.2.0

=== Makefile ===
--- 
+++ 
@@ -15,58 +15,29 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.45 2004/03/18 13:24:52 rwmj Exp $
+# $Id: Makefile,v 1.52 2004/08/04 10:11:50 rwmj Exp $
 
 include Makefile.config
 
 SED := sed
-
-OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)
 
 CC	:= $(OCAMLC)
 CFLAGS	:= -I $(APACHEINCDIR) -ccopt -DEAPI
 
-OCAMLCINCS := -I $(PCRELIBDIR) -I $(DBILIBDIR) -I $(APACHEINCDIR)
+OCAMLCINCS := -I $(PCRELIBDIR) -I $(APACHEINCDIR)
 ALL_CMOS := apache.cmo mod_caml_config.cmo mod_caml.cmo cgi_escape.cmo \
 	template.cmo cgi.cmo
-
-ifeq ($(HAVE_CAMLTEMPLATE),1)
-CAMLTEMPLATE_DIR := $(shell ocamlfind query camltemplate)
-OCAMLCINCS += -I $(CAMLTEMPLATE_DIR)
-ALL_CMOS += $(CAMLTEMPLATE_DIR)/camlTemplateInit.cmo
-ALL_CMAS += camltemplate.cma
-endif
-
-ifeq ($(HAVE_POSTGRES),1)
-OCAMLCINCS += -I $(shell ocamlfind query postgres)
-OCAMLLIBS += -L$(shell ocamlfind query postgres) -lmlpostgres -lpq
-ALL_CMAS += postgres.cma
-endif
-
-ifeq ($(HAVE_MYSQL),1)
-OCAMLCINCS += -I $(shell ocamlfind query mysql)
-OCAMLLIBS += $(shell ocamlfind query mysql)/mysql.a \
-	-L$(shell ocamlfind query mysql) -lmysql_stubs -lmysqlclient
-ALL_CMAS += mysql.cma
-endif
-
-ifeq ($(HAVE_PERL4CAML),1)
-# XXX Hack required by ocamlc.
-# To work out what this should be, try:
-# `shell perl -MExtUtils::Embed -e ldopts'
-DYNALOADER_HACK := /usr/lib/perl/5.8.2/auto/DynaLoader/DynaLoader.a
-
-OCAMLCINCS += -I $(shell ocamlfind query perl)
-OCAMLLIBS += $(shell ocamlfind query perl)/libperl4caml.a $(DYNALOADER_HACK)
-ALL_CMAS += perl4caml.cma
-endif
+ALL_CMXS := cgi_escape.cmx template.cmx
 
 OCAMLCFLAGS := -g -w s $(OCAMLCINCS)
+OCAMLOPTFLAGS := -w s $(OCAMLCINCS)
 OCAMLLIBS += -lcamlrun -ltermcap -lunix -lstr 
-ALL_CMAS += dynlink.cma str.cma pcre.cma unix.cma dbi.cma
-
-all: META config.h mod_caml_config.ml mod_caml.so \
-     example-handlers example-scripts example-comments html
+ALL_CMAS += dynlink.cma str.cma pcre.cma unix.cma
+
+OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)
+
+all: META config.h mod_caml_config.ml mod_caml.so $(ALL_CMXS) \
+     example-handlers example-scripts example-maillist example-comments html
 
 META:	META.in Makefile.config
 	$(SED)  -e 's/@PACKAGE@/$(PACKAGE)/' \
@@ -102,10 +73,14 @@
 	examples/simple-scripts/cookies.cmo \
 	examples/simple-scripts/mail.cmo \
 	examples/simple-scripts/upload_image.cmo \
-	examples/useful-scripts/crumbs.cmo \
-	examples/useful-scripts/maillist.cmo
+	examples/useful-scripts/crumbs.cmo
 
 ifeq ($(HAVE_POSTGRES),1)
+example-maillist: examples/useful-scripts/maillist.cmo
+
+examples/useful-scripts/maillist.cmo: examples/useful-scripts/maillist.ml
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -c $<
+
 example-comments: examples/comments/comments.cmo \
 	examples/comments/comments_login_form.cmo \
 	examples/comments/comments_login.cmo \
@@ -115,24 +90,29 @@
 	examples/comments/show_comments.cmo \
 	examples/comments/view_comments.cmo
 
-examples/comments/comments_login_form.cmo: \
-		examples/comments/comments_login_form.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+examples/comments/comments.cmo: examples/comments/comments.ml
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
+examples/comments/comments_login_form.cmo: examples/comments/comments_login_form.ml
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/comments_login.cmo: examples/comments/comments_login.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/delete_comment.cmo: examples/comments/delete_comment.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/post_comment.cmo: examples/comments/post_comment.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/post_comment_form.cmo: examples/comments/post_comment_form.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/show_comments.cmo: examples/comments/show_comments.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 examples/comments/view_comments.cmo: examples/comments/view_comments.ml
-	$(OCAMLC) $(OCAMLCFLAGS) -I examples/comments -c $<
+	$(OCAMLC) $(OCAMLCFLAGS) -I +postgres -I +dbi -I examples/comments -c $<
 else
+example-maillist:
 example-comments:
 endif
+
+%.cmx: %.ml
+	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c $<
 
 %.cmi: %.mli
 	$(OCAMLC) $(OCAMLCFLAGS) -c $<
@@ -187,10 +167,10 @@
 	install -c -m 0644 mod_caml.mli mod_caml.cmi \
 	$(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 cgi.mli cgi.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 cgi_escape.cmo cgi_escape.mli cgi_escape.cmi \
-	$(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 template.cmo template.mli template.cmi \
-	$(DESTDIR)$(OCAMLAPACHEDIR)
+	install -c -m 0644 cgi_escape.cmo cgi_escape.cmx cgi_escape.o \
+	cgi_escape.mli cgi_escape.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
+	install -c -m 0644 template.cmo template.cmx template.o \
+	template.mli template.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 registry.mli registry.cmi \
 	$(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 META $(DESTDIR)$(OCAMLAPACHEDIR)
@@ -242,6 +222,7 @@
 	install -c -m 0644 html/*.html $(DESTDIR)$(DOCDIR)/html
 
 dist:
+	$(MAKE) check-manifest
 	rm -rf $(PACKAGE)-$(VERSION)
 	mkdir $(PACKAGE)-$(VERSION)
 	tar -cf - -T MANIFEST | tar -C $(PACKAGE)-$(VERSION) -xf -
@@ -263,15 +244,16 @@
 	  $(PACKAGE)-$(VERSION).tar.gz{,.sig}
 
 check-manifest:
-	@for d in `find -type d -name CVS`; \
+	@for d in `find -type d -name CVS | grep -v '^\./debian/'`; \
 	do \
 	b=`dirname $$d`/; \
 	awk -F/ '$$1 != "D" {print $$2}' $$d/Entries | \
 	sed -e "s|^|$$b|" -e "s|^\./||"; \
 	done | sort > .check-manifest; \
 	sort MANIFEST > .orig-manifest; \
-	diff -u .orig-manifest .check-manifest; \
-	rm -f .orig-manifest .check-manifest
+	diff -u .orig-manifest .check-manifest; rv=$$?; \
+	rm -f .orig-manifest .check-manifest; \
+	exit $$rv
 
 # Build Debian package.
 # NB. Debian source packages cannot contain '_', so we have to pretend this
@@ -295,7 +277,7 @@
 	rm -rf /tmp/dbuild/modcaml-$(VERSION)
 	ls -l /tmp/dbuild
 
-.PHONY: example-handlers example-scripts example-comments \
+.PHONY: example-handlers example-scripts example-maillist example-comments \
 	install-main install-examples-simple install-examples-useful \
 	install-examples-comments \
 	dep depend dist upload check-manifest html

## mod caml-1.2.1

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,12 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.52 2004/08/04 10:11:50 rwmj Exp $
+# $Id: Makefile,v 1.54 2004/08/20 14:51:34 rwmj Exp $
 
 include Makefile.config
+
+TMPDIR ?= /tmp
+export TMPDIR
 
 SED := sed
 
@@ -36,8 +39,10 @@
 
 OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)
 
-all: META config.h mod_caml_config.ml mod_caml.so $(ALL_CMXS) \
-     example-handlers example-scripts example-maillist example-comments html
+all:	META config.h mod_caml_config.ml mod_caml.so 500mod_caml.info \
+	$(ALL_CMXS) \
+	example-handlers example-scripts example-maillist example-comments \
+	html
 
 META:	META.in Makefile.config
 	$(SED)  -e 's/@PACKAGE@/$(PACKAGE)/' \
@@ -60,6 +65,9 @@
 	-e 's,@APACHE_MAJOR@,$(APACHE_MAJOR),g' \
 	< $< > $@
 
+500mod_caml.info:
+	echo LoadModule caml_module $(APACHELIBDIR)/mod_caml.so > $@
+
 mod_caml.so: mod_caml_c.o mod_caml.cmo apache_c.o wrappers.o $(ALL_CMOS)
 	$(OCAMLC) -linkall -custom $(OCAMLCFLAGS) $(ALL_CMAS) $^ -o $@ \
 	  -cclib "-fPIC -shared $(OCAMLLIBS)"
@@ -143,6 +151,7 @@
 clean:
 	rm -f *~ *.bak core *.o *.lo *.slo
 	rm -f *.cmi *.cmo *.cmx *.cma *.so *.a
+	rm -f 500mod_caml.info
 	rm -f examples/*~
 	rm -f examples/simple-scripts/{*~,*.cmi,*.cmo,*.cmx}
 	rm -f examples/useful-scripts/{*~,*.cmi,*.cmo,*.cmx}
@@ -155,13 +164,15 @@
 	install-icons \
 	install-examples-simple install-examples-useful \
 	install-examples-comments \
-	install-doc install-html
+	install-doc install-html \
+	install-conf
 
 install-main:
-	install -c -m 0755 -d $(DESTDIR)$(APACHELIBDIR)
-	install -c -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
+	install    -m 0755 -d $(DESTDIR)$(APACHELIBDIR)
+	install    -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
 	install -c -m 0755 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
+	install -c -m 0755 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
 	install -c -m 0644 mod_caml_config.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 apache.mli apache.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 mod_caml.mli mod_caml.cmi \
@@ -177,19 +188,19 @@
 	install -c -m 0644 registry.cmo $(DESTDIR)$(MODCAMLLIBDIR)
 
 install-icons:
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
 	install -c -m 0644 icons/*.png $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
 
 install-examples-simple:
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
 	install -c -m 0644 examples/simple-scripts/*.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
 	install -c -m 0644 examples/simple-handlers/*.cmo \
 	$(DESTDIR)$(MODCAMLLIBDIR)
 
 install-examples-useful:
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
 	install -c -m 0644 examples/useful-scripts/*.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
 	install -c -m 0644 examples/useful-scripts/maillist.html \
@@ -205,8 +216,8 @@
 		$(DESTDIR)$(MODCAMLLIBDIR)
 	install -c -m 0644 examples/comments/comments.cmi \
 		$(DESTDIR)$(MODCAMLLIBDIR)
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
-	install -c -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
+	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
 	install -c -m 0644 examples/comments/*.html \
 		$(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
 else
@@ -214,12 +225,19 @@
 endif
 
 install-doc:
-	install -c -m 0755 -d $(DESTDIR)$(DOCDIR)
+	install    -m 0755 -d $(DESTDIR)$(DOCDIR)
 	install -c -m 0644 AUTHORS FAQ README TODO $(DESTDIR)$(DOCDIR)
+	install -c -m 0644 \
+	  examples/simple-scripts/{hello,params,conditions,cookies,mail}.ml \
+	  $(DESTDIR)$(DOCDIR)
 
 install-html:
-	install -c -m 0755 -d $(DESTDIR)$(DOCDIR)/html
+	install    -m 0755 -d $(DESTDIR)$(DOCDIR)/html
 	install -c -m 0644 html/*.html $(DESTDIR)$(DOCDIR)/html
+
+install-conf:
+	install    -m 0755 -d $(DESTDIR)$(APACHECONFDIR)
+	install -c -m 0644 modcaml-example.conf $(DESTDIR)$(APACHECONFDIR)
 
 dist:
 	$(MAKE) check-manifest
@@ -229,13 +247,6 @@
 	tar zcf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
 	rm -rf $(PACKAGE)-$(VERSION)
 	ls -l $(PACKAGE)-$(VERSION).tar.gz
-
-#upload:
-#	rm -rf /tmp/sv_upload
-#	mkdir -p /tmp/sv_upload/unstable.pkg/$(VERSION)
-#	cp $(PACKAGE)-$(VERSION).tar.gz /tmp/sv_upload/unstable.pkg/$(VERSION)
-#	scp -2r /tmp/sv_upload/* rwmj@subversions.gnu.org:/upload/modcaml/
-#	rm -rf /tmp/sv_upload
 
 upload:
 	rm -f $(PACKAGE)-$(VERSION).tar.gz.sig
@@ -264,18 +275,18 @@
 	exit 1; \
 	fi
 	$(MAKE) dist
-	rm -rf /tmp/dbuild
-	mkdir /tmp/dbuild
+	rm -rf $(TMPDIR)/dbuild
+	mkdir $(TMPDIR)/dbuild
 	cp $(PACKAGE)-$(VERSION).tar.gz \
-	  /tmp/dbuild/modcaml_$(VERSION).orig.tar.gz
+	  $(TMPDIR)/dbuild/modcaml_$(VERSION).orig.tar.gz
 	export CVSROOT=`cat CVS/Root`; \
-	  cd /tmp/dbuild && \
+	  cd $(TMPDIR)/dbuild && \
 	  cvs export \
 	  -d modcaml-$(VERSION) \
 	  -D now modcaml
-	cd /tmp/dbuild/modcaml-$(VERSION) && dpkg-buildpackage -rfakeroot
-	rm -rf /tmp/dbuild/modcaml-$(VERSION)
-	ls -l /tmp/dbuild
+	cd $(TMPDIR)/dbuild/modcaml-$(VERSION) && dpkg-buildpackage -rfakeroot
+	rm -rf $(TMPDIR)/dbuild/modcaml-$(VERSION)
+	ls -l $(TMPDIR)/dbuild
 
 .PHONY: example-handlers example-scripts example-maillist example-comments \
 	install-main install-examples-simple install-examples-useful \

## mod caml-1.3.0

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.54 2004/08/20 14:51:34 rwmj Exp $
+# $Id: Makefile,v 1.56 2004/09/27 11:29:55 rwmj Exp $
 
 include Makefile.config
 
@@ -81,6 +81,7 @@
 	examples/simple-scripts/cookies.cmo \
 	examples/simple-scripts/mail.cmo \
 	examples/simple-scripts/upload_image.cmo \
+	examples/simple-scripts/exceptions.cmo \
 	examples/useful-scripts/crumbs.cmo
 
 ifeq ($(HAVE_POSTGRES),1)
@@ -172,7 +173,7 @@
 	install    -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
 	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
 	install -c -m 0755 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
-	install -c -m 0755 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
+	install -c -m 0644 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
 	install -c -m 0644 mod_caml_config.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 apache.mli apache.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	install -c -m 0644 mod_caml.mli mod_caml.cmi \
@@ -228,7 +229,7 @@
 	install    -m 0755 -d $(DESTDIR)$(DOCDIR)
 	install -c -m 0644 AUTHORS FAQ README TODO $(DESTDIR)$(DOCDIR)
 	install -c -m 0644 \
-	  examples/simple-scripts/{hello,params,conditions,cookies,mail}.ml \
+	  examples/simple-scripts/{hello,params,conditions,cookies,mail,upload_image,exceptions}.ml \
 	  $(DESTDIR)$(DOCDIR)
 
 install-html:

## mod caml-1.3.2

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.56 2004/09/27 11:29:55 rwmj Exp $
+# $Id: Makefile,v 1.57 2004/10/17 17:04:56 rwmj Exp $
 
 include Makefile.config
 
@@ -63,6 +63,8 @@
 	-e 's,@PACKAGE@,$(PACKAGE),g' \
 	-e 's,@VERSION@,$(VERSION),g' \
 	-e 's,@APACHE_MAJOR@,$(APACHE_MAJOR),g' \
+	-e 's,@MAILER_PATH@,$(MAILER_PATH),g' \
+	-e 's,@MAILER_ARGS@,$(MAILER_ARGS),g' \
 	< $< > $@
 
 500mod_caml.info:
@@ -70,7 +72,7 @@
 
 mod_caml.so: mod_caml_c.o mod_caml.cmo apache_c.o wrappers.o $(ALL_CMOS)
 	$(OCAMLC) -linkall -custom $(OCAMLCFLAGS) $(ALL_CMAS) $^ -o $@ \
-	  -cclib "-fPIC -shared $(OCAMLLIBS)"
+	  -cclib "$(PICFLAG) $(SHAREDFLAG) $(OCAMLLIBS)"
 
 example-handlers: registry.cmo examples/simple-handlers/print_trans.cmo \
 	examples/simple-handlers/auth_simple.cmo
@@ -154,10 +156,12 @@
 	rm -f *.cmi *.cmo *.cmx *.cma *.so *.a
 	rm -f 500mod_caml.info
 	rm -f examples/*~
-	rm -f examples/simple-scripts/{*~,*.cmi,*.cmo,*.cmx}
-	rm -f examples/useful-scripts/{*~,*.cmi,*.cmo,*.cmx}
-	rm -f examples/simple-handlers/{*~,*.cmi,*.cmo,*.cmx}
-	rm -f examples/comments/{*~,*.cmi,*.cmo,*.cmx}
+	for d in examples/simple-scripts examples/useful-scripts \
+	    examples/simple-handlers examples/comments; do \
+		for e in '~' .cmi .cmo .cmx; do \
+			rm -f $$d/*$$e; \
+		done; \
+	done
 	rm -f mod_caml_config.ml config.h META
 	rm -rf .libs
 
@@ -169,76 +173,76 @@
 	install-conf
 
 install-main:
-	install    -m 0755 -d $(DESTDIR)$(APACHELIBDIR)
-	install    -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
-	install -c -m 0755 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
-	install -c -m 0644 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
-	install -c -m 0644 mod_caml_config.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 apache.mli apache.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 mod_caml.mli mod_caml.cmi \
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(APACHELIBDIR)
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
+	$(INSTALL) -c -m 0755 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
+	$(INSTALL) -c -m 0644 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
+	$(INSTALL) -c -m 0644 mod_caml_config.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
+	$(INSTALL) -c -m 0644 apache.mli apache.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
+	$(INSTALL) -c -m 0644 mod_caml.mli mod_caml.cmi \
 	$(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 cgi.mli cgi.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 cgi_escape.cmo cgi_escape.cmx cgi_escape.o \
+	$(INSTALL) -c -m 0644 cgi.mli cgi.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
+	$(INSTALL) -c -m 0644 cgi_escape.cmo cgi_escape.cmx cgi_escape.o \
 	cgi_escape.mli cgi_escape.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 template.cmo template.cmx template.o \
+	$(INSTALL) -c -m 0644 template.cmo template.cmx template.o \
 	template.mli template.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 registry.mli registry.cmi \
+	$(INSTALL) -c -m 0644 registry.mli registry.cmi \
 	$(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 META $(DESTDIR)$(OCAMLAPACHEDIR)
-	install -c -m 0644 registry.cmo $(DESTDIR)$(MODCAMLLIBDIR)
+	$(INSTALL) -c -m 0644 META $(DESTDIR)$(OCAMLAPACHEDIR)
+	$(INSTALL) -c -m 0644 registry.cmo $(DESTDIR)$(MODCAMLLIBDIR)
 
 install-icons:
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
-	install -c -m 0644 icons/*.png $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
+	$(INSTALL) -c -m 0644 icons/*.png $(DESTDIR)$(MODCAMLLIBDIR)/caml-icons
 
 install-examples-simple:
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install -c -m 0644 examples/simple-scripts/*.cmo \
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
+	$(INSTALL) -c -m 0644 examples/simple-scripts/*.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install -c -m 0644 examples/simple-handlers/*.cmo \
+	$(INSTALL) -c -m 0644 examples/simple-handlers/*.cmo \
 	$(DESTDIR)$(MODCAMLLIBDIR)
 
 install-examples-useful:
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
-	install -c -m 0644 examples/useful-scripts/*.cmo \
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
+	$(INSTALL) -c -m 0644 examples/useful-scripts/*.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install -c -m 0644 examples/useful-scripts/maillist.html \
+	$(INSTALL) -c -m 0644 examples/useful-scripts/maillist.html \
 		$(DESTDIR)$(MODCAMLLIBDIR)/templates
-	install -c -m 0644 examples/useful-scripts/maillist-body.txt \
+	$(INSTALL) -c -m 0644 examples/useful-scripts/maillist-body.txt \
 		$(DESTDIR)$(MODCAMLLIBDIR)/templates
 
 ifeq ($(HAVE_POSTGRES),1)
 install-examples-comments:
-	install -c -m 0644 examples/comments/*.cmo \
+	$(INSTALL) -c -m 0644 examples/comments/*.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)/caml-bin
-	install -c -m 0644 examples/comments/comments.cmo \
+	$(INSTALL) -c -m 0644 examples/comments/comments.cmo \
 		$(DESTDIR)$(MODCAMLLIBDIR)
-	install -c -m 0644 examples/comments/comments.cmi \
+	$(INSTALL) -c -m 0644 examples/comments/comments.cmi \
 		$(DESTDIR)$(MODCAMLLIBDIR)
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
-	install    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
-	install -c -m 0644 examples/comments/*.html \
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
+	$(INSTALL) -c -m 0644 examples/comments/*.html \
 		$(DESTDIR)$(MODCAMLLIBDIR)/templates/comments
 else
 install-examples-comments:
 endif
 
 install-doc:
-	install    -m 0755 -d $(DESTDIR)$(DOCDIR)
-	install -c -m 0644 AUTHORS FAQ README TODO $(DESTDIR)$(DOCDIR)
-	install -c -m 0644 \
-	  examples/simple-scripts/{hello,params,conditions,cookies,mail,upload_image,exceptions}.ml \
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(DOCDIR)
+	$(INSTALL) -c -m 0644 AUTHORS FAQ README TODO $(DESTDIR)$(DOCDIR)
+	$(INSTALL) -c -m 0644 \
+	  examples/simple-scripts/*.ml \
 	  $(DESTDIR)$(DOCDIR)
 
 install-html:
-	install    -m 0755 -d $(DESTDIR)$(DOCDIR)/html
-	install -c -m 0644 html/*.html $(DESTDIR)$(DOCDIR)/html
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(DOCDIR)/html
+	$(INSTALL) -c -m 0644 html/*.html $(DESTDIR)$(DOCDIR)/html
 
 install-conf:
-	install    -m 0755 -d $(DESTDIR)$(APACHECONFDIR)
-	install -c -m 0644 modcaml-example.conf $(DESTDIR)$(APACHECONFDIR)
+	$(INSTALL)    -m 0755 -d $(DESTDIR)$(APACHECONFDIR)
+	$(INSTALL) -c -m 0644 modcaml-example.conf $(DESTDIR)$(APACHECONFDIR)
 
 dist:
 	$(MAKE) check-manifest

## mod caml-1.3.4

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.57 2004/10/17 17:04:56 rwmj Exp $
+# $Id: Makefile,v 1.58 2004/11/19 23:12:14 rwmj Exp $
 
 include Makefile.config
 
@@ -24,8 +24,8 @@
 
 SED := sed
 
-CC	:= $(OCAMLC)
-CFLAGS	:= -I $(APACHEINCDIR) -ccopt -DEAPI
+CC	:= $(CC)
+CFLAGS	:= -I $(APACHEINCDIR) -DEAPI
 
 OCAMLCINCS := -I $(PCRELIBDIR) -I $(APACHEINCDIR)
 ALL_CMOS := apache.cmo mod_caml_config.cmo mod_caml.cmo cgi_escape.cmo \

## mod caml-1.3.6

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # License along with this library; if not, write to the Free
 # Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-# $Id: Makefile,v 1.58 2004/11/19 23:12:14 rwmj Exp $
+# $Id: Makefile,v 1.66 2005/01/10 17:30:26 ChriS Exp $
 
 include Makefile.config
 
@@ -24,25 +24,24 @@
 
 SED := sed
 
-CC	:= $(CC)
-CFLAGS	:= -I $(APACHEINCDIR) -DEAPI
-
-OCAMLCINCS := -I $(PCRELIBDIR) -I $(APACHEINCDIR)
+OCAMLCINCS := -I $(PCRELIBDIR)
 ALL_CMOS := apache.cmo mod_caml_config.cmo mod_caml.cmo cgi_escape.cmo \
 	template.cmo cgi.cmo
 ALL_CMXS := cgi_escape.cmx template.cmx
 
 OCAMLCFLAGS := -g -w s $(OCAMLCINCS)
 OCAMLOPTFLAGS := -w s $(OCAMLCINCS)
-OCAMLLIBS += -lcamlrun -ltermcap -lunix -lstr 
 ALL_CMAS += dynlink.cma str.cma pcre.cma unix.cma
 
 OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCINCS)
 
-all:	META config.h mod_caml_config.ml mod_caml.so 500mod_caml.info \
+all:	META config.h mod_caml_config.ml 500mod_caml.info mod_caml.so \
 	$(ALL_CMXS) \
 	example-handlers example-scripts example-maillist example-comments \
 	html
+
+.PHONY: ps
+ps: mod_caml.ps
 
 META:	META.in Makefile.config
 	$(SED)  -e 's/@PACKAGE@/$(PACKAGE)/' \
@@ -67,12 +66,13 @@
 	-e 's,@MAILER_ARGS@,$(MAILER_ARGS),g' \
 	< $< > $@
 
-500mod_caml.info:
-	echo LoadModule caml_module $(APACHELIBDIR)/mod_caml.so > $@
-
-mod_caml.so: mod_caml_c.o mod_caml.cmo apache_c.o wrappers.o $(ALL_CMOS)
+500mod_caml.info: 500mod_caml.info.in Makefile.config
+	sed -e 's,@APACHELIBDIR@,$(APACHELIBDIR),g' < $< > $@
+
+
+mod_caml.so: mod_caml_c.o apache_c.o wrappers.o $(ALL_CMOS)
 	$(OCAMLC) -linkall -custom $(OCAMLCFLAGS) $(ALL_CMAS) $^ -o $@ \
-	  -cclib "$(PICFLAG) $(SHAREDFLAG) $(OCAMLLIBS)"
+	  -cclib "$(CFLAGS) $(LDFLAGS_SHLIB) $(OCAMLLIBS)"
 
 example-handlers: registry.cmo examples/simple-handlers/print_trans.cmo \
 	examples/simple-handlers/auth_simple.cmo
@@ -122,6 +122,10 @@
 example-comments:
 endif
 
+mod_caml.ps: $(wildcard *.ml) $(wildcard *.mli)
+	$(OCAMLDOC) -o mod_caml.dot -dot -I +pcre $^
+	dot -Tps mod_caml.dot > $@
+
 %.cmx: %.ml
 	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c $<
 
@@ -134,7 +138,7 @@
 dep:	.depend
 depend: .depend
 
-.depend:
+.depend: $(wilcard *.ml) $(wildcard *.mli)
 	rm -f .depend
 	ocamldep *.mli *.ml */*/*.ml > $@
 
@@ -153,17 +157,20 @@
 
 clean:
 	rm -f *~ *.bak core *.o *.lo *.slo
-	rm -f *.cmi *.cmo *.cmx *.cma *.so *.a
+	rm -f *.cmi *.cmo *.cmx *.cma *.so *.a *.annot
 	rm -f 500mod_caml.info
 	rm -f examples/*~
 	for d in examples/simple-scripts examples/useful-scripts \
 	    examples/simple-handlers examples/comments; do \
-		for e in '~' .cmi .cmo .cmx; do \
+		for e in '~' .cmi .cmo .cmx .annot; do \
 			rm -f $$d/*$$e; \
 		done; \
 	done
 	rm -f mod_caml_config.ml config.h META
 	rm -rf .libs
+
+distclean:
+	rm -rf .depend html/
 
 install: install-main \
 	install-icons \
@@ -176,7 +183,7 @@
 	$(INSTALL)    -m 0755 -d $(DESTDIR)$(APACHELIBDIR)
 	$(INSTALL)    -m 0755 -d $(DESTDIR)$(OCAMLAPACHEDIR)
 	$(INSTALL)    -m 0755 -d $(DESTDIR)$(MODCAMLLIBDIR)
-	$(INSTALL) -c -m 0755 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
+	$(INSTALL) -c -m 0644 mod_caml.so $(DESTDIR)$(APACHELIBDIR)
 	$(INSTALL) -c -m 0644 500mod_caml.info $(DESTDIR)$(APACHELIBDIR)
 	$(INSTALL) -c -m 0644 mod_caml_config.cmi $(DESTDIR)$(OCAMLAPACHEDIR)
 	$(INSTALL) -c -m 0644 apache.mli apache.cmi $(DESTDIR)$(OCAMLAPACHEDIR)

## mod cdb-0.1

=== Makefile ===
# Makefile for mod_cdb

# you have to modify this!
TOP_APACHE2 = /opt/apache2
CDBDIR = ./cdb-0.75

top_srcdir   = $(TOP_APACHE2)
top_builddir = $(TOP_APACHE2)
srcdir       = .
builddir     = .
VPATH        = .

include $(top_srcdir)/build/special.mk

INCLUDES = -I$(top_srcdir)/include -I$(CDBDIR)

all:	$(shared)

test: stop install start

stop:
	$(TOP_APACHE2)/bin/apachectl stop
start:
	$(TOP_APACHE2)/bin/apachectl start
restart:
	$(TOP_APACHE2)/bin/apachectl restart

## mod chxj-0.4.0.src

=== doc/Makefile ===
.SUFFIXES:
.SUFFIXES: .sdoc .html

TARGET=modchxj.html

all: $(TARGET)

.sdoc.html:
	sdoc -toc:true  $<

clean:
	rm -f $(TARGET)

## mod chxj-0.6.2.src

=== debian/changelog ===
libapache2-mod-chxj (0.6.2-1) unstable; urgency=low

  * Fix bug which operates the character-code conversion when PC 
    accesses it. 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.6.1-1) unstable; urgency=low

  * Initial release 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

=== debian/control ===
Source: libapache2-mod-chxj
Priority: optional
Maintainer: Atsushi Konno <konn@users.sourceforge.jp>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, apache2 (>=2.0.54-5), libapr0 (>=2.0.54-5), libmagick9-dev (>=6.2.4.5-0.6), libiconv-hook1 (>=0.0.20021209-6.1)
Standards-Version: 3.6.2
Section: libs

Package: libapache2-mod-chxj-dev
Section: libdevel
Architecture: any
Depends: libapache2-mod-chxj (= ${Source-Version})
Description: CHTML to HDML,XHTML,JHTML convert module.
  The contents conversion middleware for domestic main carrying (three careers) is made as a module for Apache2.0. UserAgent is seen when contents made with CHTML are output and it converts it into HDML, XHTML, and JHTML (The image : to JPG, GIF, JPG, GIF from PNG, and PNG and BMP). With QR code generation function. 


Package: libapache2-mod-chxj
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CHTML to HDML,XHTML,JHTML convert module.
  The contents conversion middleware for domestic main carrying (three careers) is made as a module for Apache2.0. UserAgent is seen when contents made with CHTML are output and it converts it into HDML, XHTML, and JHTML (The image : to JPG, GIF, JPG, GIF from PNG, and PNG and BMP). With QR code generation function.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS) -Wl " ./configure --with-apache-header=/usr/include/apache2 



build: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	rm -f ./config.sub && cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	rm -f ./config.guess && cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	@if test ! -L src/mod_chxj.so ; then cp src/.libs/libmod_chxj.so src/mod_chxj.so ; fi

	# Add here commands to install the package into debian/tmp
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/lib/apache2/modules
	/usr/share/apache2/build/instdso.sh SH_LIBTOOL='/usr/bin/libtool' $(CURDIR)/src/mod_chxj.so \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/lib/apache2/modules
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/mods-available
	install -m 644 debian/chxj.load \
		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/mods-available
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
	install -m 644 etc/*.xml \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
	install -m 644 doc/*.html \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mod chxj-0.8.0.src

=== debian/changelog ===
libapache2-mod-chxj (0.8.0-1) unstable; urgency=low

  * add b tag.
  * add fieldset tag.
  * add cookie simulator.
  * To use neither SetOutputFilter nor SetInputFilter, it changes. 
  * add referer header simulator.
  * When '_ chxj_nc' parameter exists, the cookie is not renewed.
  * The bug that the dynamic qrcode output function doesn't operate is corrected. 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.7.1-1) unstable; urgency=low

  * bug fix
      - it cannot correctly read the value when the backslash exists in the attribute.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.7.0-1) unstable; urgency=low

  * bug fix which the size before it converts it into Content-Length when HEAD of 
    the image conversion is requested is returned. 
  * change to acquire it even if the extension is attached by the image acquisition 
    request.
  * bug fix into which the submit value had not converted the character-code for HDML. 
  * bug fix #8585.
  * add user_agent rewrite function.
  * bug fix that the image conversion routine was executed two times.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

## mod clamav-20240420

=== Makefile ===
PROFTPD_PREFIX ?= /home/jbenden/src/proftpd-1.3.5a
PROFTPD_TEST_BIN = $(PROFTPD_PREFIX)/proftpd
MODCLAMAV_T = t/modules/mod_clamav.t
CP = cp

all: copy

tests: $(PROFTPD_TEST_BIN) $(MODCLAMAV_T) build
	/usr/bin/env "PROFTPD_TEST_BIN=$(PROFTPD_TEST_BIN)" \
		perl -I $(PROFTPD_PREFIX)/tests/t/lib $(MODCLAMAV_T)

copy: $(PROFTPD_PREFIX)/contrib mod_clamav.h mod_clamav.c
	$(CP) mod_clamav.c $(PROFTPD_PREFIX)/contrib
	$(CP) mod_clamav.h $(PROFTPD_PREFIX)/contrib
	touch $@

build: $(PROFTPD_PREFIX)/configure copy
	( cd $(PROFTPD_PREFIX); \
	./configure --with-modules=mod_clamav:mod_vroot; \
	$(MAKE); ); \
	touch $@

clean:
	rm -f build copy tests.log

.PHONY: clean all

## mod dns

=== Makefile ===

include ../Makefile

SRCS=mod_dns.c
OBJS=$(SRCS:.c=.o)

module: ${SRCS} ${OBJS}

INCS=-I../.. -I../../../libosiris -I../../../libfileapi -I../../../..

# meta-rule for compiling any "C" source file.
$(OBJS): $(SRCS)
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) ${INCLUDES} ${INCS} $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS)  $(CFLAGS) -c $(SRCS)
	cp $@ ..
